package com.kmalbz.database.dao

import org.jetbrains.exposed.dao.id.IntIdTable
import org.jetbrains.exposed.sql.*
import org.jetbrains.exposed.sql.`java-time`.date
import java.time.LocalDate

object SampleObjects : IntIdTable() {
    val tag: Column<String> = varchar("tag", 32)
    val timestamp: Column<LocalDate> = date("timestamp").default(LocalDate.now())
    val device_id: Column<Int> = integer("device_id")
    val device_date: Column<LocalDate> = date("device_date")
    override val primaryKey = PrimaryKey(id, name = "PK_ResultObject_Id")
}