package com.kmalbz.database.service

import com.kmalbz.api.model.ApiObject
import java.time.LocalDate
import java.util.*

interface ISampleObjectService{
    fun addOne(apiObject: ApiObject)
    suspend fun getAllSampleObjects(): List<ApiObject>
    suspend fun getSampleObjectbyTag(tag: String): ApiObject?
    suspend fun getSampleObjectbyDate(date: LocalDate): List<ApiObject>
    suspend fun getSampleObjectbeforeDate(date: LocalDate): List<ApiObject>
    suspend fun getSampleObjectafterDate(date: LocalDate): List<ApiObject>
}